Summary: A GNU Emacs major mode for editing SGML documents.
name: psgml
Version: 1.2.4
Release: 1mdk
Prereq: sgml-common
Requires: emacs >= 20.7
License: GPL
URL: http://www.lysator.liu.se/projects/about_psgml.html
Source: ftp://ftp.lysator.liu.se/pub/sgml/psgml-%{version}.tar.bz2
# Patch0: psgml-multibyte.patch.bz2
# fixed in 1.2.3
# Patch1: psgml-emacs21.patch.bz2
Group: Editors
Buildroot: %{_tmppath}/%{name}-root
BuildArch: noarch
%define psgmldir %{_datadir}/emacs/site-lisp/psgml

%description
Emacs is an advanced and extensible editor. An Emacs major mode
customizes Emacs for editing particular types of text documents. PSGML
is a major mode for SGML (a markup language) documents.  PSGML
provides several functionalities for editing SGML documents:
indentation according to element nesting depth and identification of
structural errors (but it is not a validating SGML parser); menus and
commands for inserting tags with only the contextually valid tags;
attribute values can be edited in a separate window with information
about types and defaults; structure based editing includes movement
and killing; and also several commands for folding editing.

%prep
%setup 
# %patch0 -p1 -b .multibyte
# %patch1 -p0 -b .emacs21

%build
%configure
make infodir=%{_infodir} psgmldir=%{psgmldir}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{psgmldir},%{_infodir},%{_libdir}/sgml/cdtd}

%makeinstall psgmldir=$RPM_BUILD_ROOT%{psgmldir} lispdir=$RPM_BUILD_ROOT%{psgmldir}

# Why putting source files ??????
#for i in $RPM_BUILD_ROOT%{psgmldir}/*.elc; do 
#  rm -f $i
#  cp `echo $(basename $i) | sed s/elc/el/` $RPM_BUILD_ROOT%{psgmldir}
#done

make install-info infodir=$RPM_BUILD_ROOT%{_infodir}

install -d %buildroot%{_sysconfdir}/emacs/site-start.d
cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{name}-init.el
(add-to-list 'load-path "%{psgmldir}")

(autoload 'sgml-mode "psgml" "Major mode for editing SGML." t)
(autoload 'xml-mode "psgml" "Major mode for editing XML." t)
(if (not (getenv "SGML_CATALOG_FILES"))
   (defvar sgml-catalog-files '("CATALOG" "catalog" "/etc/sgml/catalog""%{_libdir}/sgml/CATALOG" "%{_libdir}/sgml-tools/dtd/catalog"))
  "*List of catalog entry files.
The files are in the format defined in the SGML Open Draft Technical
Resolution on Entity Management.")
(put 'sgml-catalog-files 'sgml-type 'list);;
;;
;; SGML markup faces.
;;
(setq sgml-markup-faces
'((start-tag . font-lock-function-name-face)
(end-tag . font-lock-builtin-face)
(comment . font-lock-comment-face)
(pi . font-lock-keyword-face)
(sgml . font-lock-keyword-face)
(doctype . font-lock-keyword-face)
(entity . font-lock-variable-name-face)
(shortref . font-lock-variable-name-face)
(ignored  . font-lock-comment)
(ms-start . font-lock-type-face)
(ms-end . font-lock-type-face)))

(setq sgml-set-face t)

EOF

%post
%_install_info %{name}.info

%_install_info %{name}-api.info

%postun
%_remove_install_info %{name}.info

%_remove_install_info %{name}-api.info

%files
%defattr(-,root,root)
%doc README.psgml
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}-init.el
%{psgmldir}
%{_libdir}/sgml/cdtd
%{_infodir}/*

%changelog

* Wed Jan 02 2002 Camille Begnis <camille@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4
- removed patches

* Fri Nov 16 2001 Camille Begnis <camille@mandrakesoft.com> 1.2.2-4mdk
- Take patches from RedHat for DocBook>4.0 and emacs21
- Improve highlighting
- put again .elc files instead of .el 

* Fri Aug 31 2001 Lenny Cartier <lenny@mandrakesoft.com>  1.2.2-3mdk
- rebuild

* Fri Jun 22 2001 Pixel <pixel@mandrakesoft.com> 1.2.2-2mdk
- much cleanup (still doesn't work?)

* Wed Jun 21 2001 Camille Begnis <camille@mandrakesoft.com> 1.2.2-1mdk  
- Stole spec from RH
